# QwtSetSeriesData Class Reference

Interface for iterating over an array of samples. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtSetSeriesData:
[legend]

List of all members.

## Public Member Functions

virtual QRectF | boundingRect () const
| QwtSetSeriesData (const QVector< QwtSetSample > &=QVector< QwtSetSample >())
virtual QwtSetSample | sample (size_t) const
const QVector< QwtSetSample > | samples () const
virtual void | setRectOfInterest (const QRectF &)
void | setSamples (const QVector< QwtSetSample > &)
virtual size_t | size () const

## Protected Attributes

QRectF | d_boundingRect
QVector< QwtSetSample > | d_samples

## Detailed Description

Interface for iterating over an array of samples.

## Constructor & Destructor Documentation

QwtSetSeriesData::QwtSetSeriesData | ( | const QVector< QwtSetSample > & | samples = `QVector<QwtSetSample>()` | ) |

Constructor

Parameters:

  samples | Samples

## Member Function Documentation

QRectF QwtSetSeriesData::boundingRect | ( |  | ) | const`[virtual]`

Calculate the bounding rect.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
  Bounding rectangle

Implements QwtSeriesData< QwtSetSample >.

virtual QwtSetSample QwtArraySeriesData< QwtSetSample >::sample | ( | size_t | i | ) | const`[virtual, inherited]`

Return a sample

Parameters:

  i | Index

Returns:
  Sample at position i

Implements QwtSeriesData< QwtSetSample >.

virtual size_t QwtArraySeriesData< QwtSetSample >::size | ( |  | ) | const`[virtual, inherited]`

Returns:
  Number of samples

Implements QwtSeriesData< QwtSetSample >.

## Member Data Documentation

QRectF QwtSeriesData< QwtSetSample >::d_boundingRect`[mutable, protected, inherited]`

Can be used to cache a calculated bounding rectangle.

QVector<QwtSetSample > QwtArraySeriesData< QwtSetSample >::d_samples`[protected, inherited]`

Vector of samples.